<?php
namespace app\mob\controller;

use think\Controller;
use think\Request;

/**
* 基础控制器
*/
class Base extends Controller
{
    protected $_space;
    
    public function _initialize()
    {
        define('CONTROLLER_NAME',Request::instance()->controller());
        define('MODULE_NAME',Request::instance()->module());
        define('ACTION_NAME',Request::instance()->action());
    }
    
    /**
     * @desc 判断是否是微信浏览器
    */
    private function is_weixin_browser(){ 
		if ( strpos($_SERVER['HTTP_USER_AGENT'], 'MicroMessenger') !== false ) {
			return true;
		}
		return false;
	}
}


